#ifndef QOPENGLTEXTUREBUTTON_H
#define QOPENGLTEXTUREBUTTON_H

#include <QObject>

#include <QImage>

#include <QOpenGLTexture>

class QOpenGLTextureButton : public QObject
{
    Q_OBJECT
public:
    explicit QOpenGLTextureButton(QObject *parent = 0);

    virtual ~QOpenGLTextureButton();

    void LoadImage(QString strNormal, QString strClicked);

    QOpenGLTexture *GetTextureNormal();
    QOpenGLTexture* GetTextureClicked();

signals:

public slots:

protected:
    QOpenGLTexture* m_pNormal;
    QOpenGLTexture* m_pClicked;
};

#endif // QOPENGLTEXTUREBUTTON_H
